Create jobs to verify changes to scenarios

Currently only commit message based scenario determination is
in place. Determining the scenario based on the changed files
is yet to be implemented.

The scripts and the jobs will be refactored to increase the
reuse and reduce the duplication once the basic scenario verification
is working.

Change-Id: I4b936c955828f34f263e9825a465bba25e4688c1
diff --git a/jjb/cloud-infra/prepare-for-scenario-verify.sh b/jjb/cloud-infra/prepare-for-scenario-verify.sh
new file mode 100644
index 0000000..f654dc8
--- /dev/null
+++ b/jjb/cloud-infra/prepare-for-scenario-verify.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+
+echo "Info: Cloning infra/engine repository"
+cd $HOME && /bin/rm -rf $WORKSPACE
+git clone -q $ENGINE_REPO_URL $WORKSPACE
+
+# vim: set ts=2 sw=2 expandtab: